Package ghidra.program.model.pcode

# Class DataTypeSymbol

java.lang.Object
ghidra.program.model.pcode.DataTypeSymbol

public class DataTypeSymbol extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTypeSymbol(DataType dt, String nr, String cat)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanupUnusedOverride()`
  `static void`
  `deleteSymbols(String nmroot, Address addr, SymbolTable symtab, Namespace space)`
  `static String`
  `extractHash(String symname)`
  `static String`
  `extractNameRoot(String symname)`
  `static int`
  `generateHash(DataType dt)`
  `Address`
  `getAddress()`
  `DataType`
  `getDataType()`
  `Symbol`
  `getSymbol()`
  `static DataTypeSymbol`
  `readSymbol(String cat, Symbol s)`
  `void`
  `writeSymbol(SymbolTable symtab, Address addr, Namespace namespace, DataTypeManager dtmanage, boolean clearold)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataTypeSymbol

    public DataTypeSymbol(DataType dt, String nr, String cat)

- ## Method Details

  - ### getSymbol

    public Symbol getSymbol()

  - ### getAddress

    public Address getAddress()

  - ### getDataType

    public DataType getDataType()

  - ### writeSymbol

    public void writeSymbol(SymbolTable symtab, Address addr, Namespace namespace, DataTypeManager dtmanage, boolean clearold) throws InvalidInputException
    Throws:
      `InvalidInputException`

  - ### deleteSymbols

    public static void deleteSymbols(String nmroot, Address addr, SymbolTable symtab, Namespace space) throws InvalidInputException
    Throws:
      `InvalidInputException`

  - ### cleanupUnusedOverride

    public void cleanupUnusedOverride()

  - ### readSymbol

    public static DataTypeSymbol readSymbol(String cat, Symbol s)

  - ### generateHash

    public static int generateHash(DataType dt)

  - ### extractHash

    public static String extractHash(String symname)

  - ### extractNameRoot

    public static String extractNameRoot(String symname)